#ifndef _CONTAINER_RESULTS_H_
#define _CONTAINER_RESULTS_H_

#include "../../datastructures/datastructures.h"

/*forward declarations */
class Parameters;
class ElementResult;

/*!\brief Declaration of Results class.
 *
 * Declaration of Results class.  Results are vector lists (Containers) of Result objects.
 */ 
class Results: public DataSet{

	public:

		/*constructors, destructors*/
		Results();
		~Results();

		/*Mehthos*/
		int AddResult(ElementResult* result);
		void Write(Parameters* parameters);
};
#endif //ifndef _RESULTS_H_
